net.sourceforge.pmd.util.filter

## Class FileExtensionFilter

- java.lang.Object
- - net.sourceforge.pmd.util.filter.FileExtensionFilter

All Implemented Interfaces:
  Filter<File>

    public class FileExtensionFilter
    extends Object
    implements Filter<File>

### Field Summary

Fields
`protected String[]` `extensions`
`protected boolean` `ignoreCase`

### Constructor Summary

Constructors
Constructor and Description
`FileExtensionFilter(boolean ignoreCase, String... extensions)` Matches any files with the given extensions, optionally ignoring case.
`FileExtensionFilter(String... extensions)` Matches any files with the given extensions, ignoring case

### Method Summary

Methods
`boolean` `filter(File file)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### extensions

    protected final String[] extensions

#### ignoreCase

    protected final boolean ignoreCase

### Constructor Detail

#### FileExtensionFilter

    public FileExtensionFilter(String... extensions)

Matches any files with the given extensions, ignoring case

#### FileExtensionFilter

    public FileExtensionFilter(boolean ignoreCase,
                       String... extensions)

Matches any files with the given extensions, optionally ignoring case.

### Method Detail

#### filter

    public boolean filter(File file)

Specified by:
  `filter` in interface `Filter<File>`